# Application bindings
bindd = SUPER ALT, RETURN, Tmux, exec, uwsm-app -- xdg-terminal-exec --dir="$(omarchy-cmd-terminal-cwd)" tmux new
bindd = SUPER, RETURN, Terminal, exec, uwsm-app -- xdg-terminal-exec --dir="$(omarchy-cmd-terminal-cwd)"

bindd = SUPER, A, Alacritty, exec, alacritty
bindd = SUPER SHIFT, RETURN, Browser, exec, omarchy-launch-browser
bindd = SUPER SHIFT, E, Email, exec, thunderbird
bindd = SUPER SHIFT, V, Vault, exec, bitwarden-desktop
bindd = SUPER SHIFT, C, Calendar, exec, omarchy-launch-webapp "https://cloud.aime.team/index.php/apps/calendar/timeGridWeek/now"
bindd = SUPER, E, File manager, exec, uwsm-app -- nautilus --new-window
bindd = SUPER ALT SHIFT, F, File manager (cwd), exec, uwsm-app -- nautilus --new-window "$(omarchy-cmd-terminal-cwd)"
bindd = SUPER SHIFT, B, Browser, exec, omarchy-launch-browser
bindd = SUPER SHIFT ALT, B, Browser (private), exec, omarchy-launch-browser --private
bindd = SUPER SHIFT, N, Trilium, exec, trilium
bindd = SUPER SHIFT, M, Zabbix, exec, omarchy-launch-webapp "http://192.168.1.151/zabbix/"
bindd = SUPER SHIFT, S, Sublime, exec, subl
bindd = SUPER SHIFT, R, Rocketchat, exec, rocketchat-desktop
bindd = SUPER SHIFT, D, Discord, exec, omarchy-launch-webapp "https://discord.com/channels/@me"
bindd = SUPER SHIFT, G, Signal, exec, omarchy-launch-or-focus ^signal$ "uwsm-app -- signal-desktop"
bindd = SUPER SHIFT, K, Logins, exec, keepassxc
bindd = SUPER SHIFT, L, Writer, exec, libreoffice
bindd = SUPER SHIFT, Q, Remmina, exec, remmina
bindd = SUPER SHIFT, W, Typora, exec, uwsm-app -- typora --enable-wayland-ime

# bindd = SUPER SHIFT, O, Obsidian, exec, omarchy-launch-or-focus ^obsidian$ "uwsm-app -- obsidian"
# bindd = SUPER SHIFT, Y, Screenshot, exec, ~/.config/screenshot-gui/screenshot-gui
# bindd = SUPER SHIFT, SLASH, Passwords, exec, uwsm-app -- 1password
# unbind = SUPER, SPACE


# If your web app url contains #, type it as ## to prevent hyprland treating it as a comment
bindd = SUPER SHIFT, A, AI, exec, omarchy-launch-webapp "https://chatty.aime.team"
bindd = SUPER SHIFT CTRL, A, Grok, exec, omarchy-launch-webapp "https://grok.com"
bindd = SUPER SHIFT ALT, G, WhatsApp, exec, omarchy-launch-or-focus-webapp WhatsApp "https://web.whatsapp.com/"
bindd = SUPER SHIFT CTRL, G, Google Messages, exec, omarchy-launch-or-focus-webapp "Google Messages" "https://messages.google.com/web/conversations"
bindd = SUPER SHIFT, P, Google Photos, exec, omarchy-launch-or-focus-webapp "Google Photos" "https://photos.google.com/"
bindd = SUPER SHIFT, X, X, exec, omarchy-launch-webapp "https://x.com/"
bindd = SUPER SHIFT ALT, X, X Post, exec, omarchy-launch-webapp "https://x.com/compose/post"

# bindd = SUPER SHIFT, Y, YouTube, exec, omarchy-launch-webapp "https://youtube.com/"

# Overwrite existing bindings, like putting Omarchy Menu on Super + Space
# unbind = SUPER, SPACE
# bindd = SUPER, SPACE, Omarchy menu, exec, omarchy-menu
